
set( larevt_VERSION 09.02.04 )
set( larevt_UPS_VERSION v09_02_04 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################



## find_library directives
find_ups_product( larcoreobj  )
find_ups_product( canvas  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( cppunit  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_root(  )
find_ups_product( larcorealg  )
find_ups_product( larcore  )
find_ups_product( art  )
find_ups_product( art_root_io  )
find_ups_product( canvas_root_io  )
find_ups_product( lardataobj  )
find_ups_product( nusimdata  )
find_ups_product( dk2nudata  )
find_ups_product( lardataalg  )
find_ups_product( lardata  )
find_ups_product( postgresql  )
find_ups_product( fftw  )
  cet_find_library( PQ NAMES pq PATHS ENV POSTGRESQL_LIBRARIES NO_DEFAULT_PATH )
find_ups_product( libwda  )
set(LAREVT_SPACECHARGE "$ENV{LAREVT_LIB}/liblarevt_SpaceCharge.so")
set(LAREVT_SPACECHARGESERVICES_SPACECHARGESERVICESTANDARD_SERVICE "$ENV{LAREVT_LIB}/liblarevt_SpaceChargeServices_SpaceChargeServiceStandard_service.so")
set(LAREVT_FILTERS "$ENV{LAREVT_LIB}/liblarevt_Filters.so")
set(LAREVT_FILTERS_ADCFILTER_MODULE "$ENV{LAREVT_LIB}/liblarevt_Filters_ADCFilter_module.so")
set(LAREVT_FILTERS_EVENTFILTER_MODULE "$ENV{LAREVT_LIB}/liblarevt_Filters_EventFilter_module.so")
set(LAREVT_FILTERS_EVENTTIMEFILTER_MODULE "$ENV{LAREVT_LIB}/liblarevt_Filters_EventTimeFilter_module.so")
set(LAREVT_FILTERS_FINALSTATEPARTICLEFILTER_MODULE "$ENV{LAREVT_LIB}/liblarevt_Filters_FinalStateParticleFilter_module.so")
set(LAREVT_FILTERS_LARG4PARTICLEFILTER_MODULE "$ENV{LAREVT_LIB}/liblarevt_Filters_LArG4ParticleFilter_module.so")
set(LAREVT_FILTERS_MUONFILTER_MODULE "$ENV{LAREVT_LIB}/liblarevt_Filters_MuonFilter_module.so")
set(LAREVT_FILTERS_SIMPLECHANNELSTATUSSERVICE_SERVICE "$ENV{LAREVT_LIB}/liblarevt_Filters_SimpleChannelStatusService_service.so")
set(LAREVT_FILTERS_SMALLCLUSTERFILTER_MODULE "$ENV{LAREVT_LIB}/liblarevt_Filters_SmallClusterFilter_module.so")
set(LAREVT_CALIBRATIONDBI_IOVDATA "$ENV{LAREVT_LIB}/liblarevt_CalibrationDBI_IOVData.so")
set(LAREVT_CALIBRATIONDBI_PROVIDERS "$ENV{LAREVT_LIB}/liblarevt_CalibrationDBI_Providers.so")
set(LAREVT_CALIBRATIONDBI_SERVICES_SIOVCHANNELSTATUSSERVICE_SERVICE "$ENV{LAREVT_LIB}/liblarevt_CalibrationDBI_Services_SIOVChannelStatusService_service.so")
set(LAREVT_CALIBRATIONDBI_SERVICES_SIOVDETPEDESTALSERVICE_SERVICE "$ENV{LAREVT_LIB}/liblarevt_CalibrationDBI_Services_SIOVDetPedestalService_service.so")
set(LAREVT_CALIBRATIONDBI_SERVICES_SIOVELECTRONICSCALIBSERVICE_SERVICE "$ENV{LAREVT_LIB}/liblarevt_CalibrationDBI_Services_SIOVElectronicsCalibService_service.so")
set(LAREVT_CALIBRATIONDBI_SERVICES_SIOVPMTGAINSERVICE_SERVICE "$ENV{LAREVT_LIB}/liblarevt_CalibrationDBI_Services_SIOVPmtGainService_service.so")
set(LAREVT_CALDATA_CALWIREANA_MODULE "$ENV{LAREVT_LIB}/liblarevt_CalData_CalWireAna_module.so")
set(LAREVT_CALDATA_CALWIRE_MODULE "$ENV{LAREVT_LIB}/liblarevt_CalData_CalWire_module.so")
set(LAREVT_CALDATA_CALWIRET962_MODULE "$ENV{LAREVT_LIB}/liblarevt_CalData_CalWireT962_module.so")
set(LAREVT_CALDATA_TEST_FFTTEST_MODULE "$ENV{LAREVT_LIB}/liblarevt_CalData_test_FFTTest_module.so")
set(TEST_FILTERS_SIMPLECHANNELSTATUSTEST_MODULE "$ENV{LAREVT_LIB}/libtest_Filters_SimpleChannelStatusTest_module.so")
  include_directories ( "$ENV{LAREVT_INC}" )

check_required_components(larevt)

